Subject: re: POP3

From: J T Breitner <[email-masked]>
Date: Fri, 14 Apr 2000 15:38:59 EDT

On Fri, 14 Apr 2000 10:37:52 -0700 (PDT), Mark Crispin [email-masked]
wrote:

> This is a violation of the POP3 specification, which explictly refers to a
> lock being applied when a session is active.

I have stated my case with them, and of course *I* am the idiot in this case. 
Nevertheless, I'm still supporting *their* customer for *their* product.  Wait, I
*am* the idiot in this case...

> 
> It is also a sign of extremely poor programming.  There is no excuse for a
> POP3 client to open more than one POP3 session at a time.  POP3 is completely
> network I/O bound; there is no performance gain possible with multiple
> sessions.

Agreed.  I'm in the process of doing a little network sniffing to capture this
thing in the act and see what exactly it is doing.
With this documented problem, I'll re-approach them.